<?php

namespace App\Generated\V1\Messages\School;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class GetListMessage extends Message
{
    use ValueHelper;

    protected $keyword;
    protected $result;

    /**
     * @return string|null
     */
    public function getKeyword()
    {
        return $this->keyword;
    }

    public function requestRules()
    {
        return [
            ['keyword', 'keyword', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', 'bail', null, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
